#!/bin/sh
echo 'name: shakespeare-text
version: 0.10.3
id: shakespeare-text-0.10.3-a3335adcd208ce4ab258308b18bd23b0

license: BSD3
copyright:
maintainer: Greg Weber <greg@gregweber.info>
stability: Stable
homepage: http://www.yesodweb.com/book/templates
package-url:
description: interpolation with quasi-quotation: stick haskell variables into haskell strings
             .
             Note there is no dependency on haskell-src-extras. If you don'\''t mind that dependency, you may want to look at using these packages: Interpolation, interpolatedstring-perl6, interpolatedstring-qq.
             .
             This package has 1 other general feature that those others may not (but would be easy to duplicate): instead of using quasi-quoting you can also use an external file. It also has url/embeding interpolation, with \@ and \^, which are used in Yesod.
             .
             This package also uses blaze-builder for efficiently constructing strings (I am not sure what the other packages use). This might be of interest to you for large templates or performance sensitive code, or otherwise having a nice interface to blaze-builder
             .
             Shakespeare is a template family for type-safe, efficient templates with simple variable interpolation . Shakespeare templates can be used inline with a quasi-quoter or in an external file. Shakespeare interpolates variables according to the type being inserted.
             In this case, the variable type needs a ToText instance.
             .
             Please see http://docs.yesodweb.com/book/templates for a more thorough description and examples of the shakespeare family of template languages.
category: Web, Yesod
author: Greg Weber <greg@gregweber.info>
exposed: True
exposed-modules: Text.Shakespeare.Text
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/shakespeare-text-0.10.3
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/shakespeare-text-0.10.3
              /usr/local/lib
hs-libraries: HSshakespeare-text-0.10.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         shakespeare-0.10.2-2ec207b1701ad569505249cc3f10cd05
         template-haskell-2.5.0.0-9ca898a62e2e436d580f8a1457817485
         text-0.11.1.5-1ea395545cc7c8fb42ee757868e225d9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/shakespeare-text-0.10.3/html/shakespeare-text.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/shakespeare-text-0.10.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
